Bug 536717 - RFE: Ability to get a bug's full dependency and blocks tree
RFE: Ability to get a bug's full dependency and blocks tree
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
devel
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-10 21:16 EST by Dennis Gregorovic
Modified: 2014-10-12 18:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.4-3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-20 07:07:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 859682 None None None Never

  None (edit)
Description Dennis Gregorovic 2009-11-10 21:16:03 EST
It would be useful to have an XML-RPC method that takes in a bug ID and returns a hash with two entries: 'dependson' and 'blocked'.  These would each be a list (possibly empty) of bug IDs that the bug depends on and blocks.  This list would encompass the "full" tree, not just the immediate list of bugs.
Comment 3 Simon Green 2012-06-19 21:23:31 EDT
We should do this for both the RPC and web interface. It will be done as a virtual fields (dependson_deep and blockson_deep for example). Change would be done in Bugzilla::Bugs so we can get the values for both places.

Note You need to log in before you can comment on or make changes to this bug.